/*
 * intr_out.c
 *
 * updates read-only registers and notifies the master
 * when there are priority updates.
 *
 */

#include "i2c_slave.h"


void intr_init()
{
    EXTI_InitTypeDef exti = {0};

    // set up exti line for when the accelerometer interrupt fires
    GPIO_EXTILineConfig(GPIO_PortSourceGPIOC, GPIO_PinSource3);
    exti.EXTI_Line = EXTI_Line3;
    exti.EXTI_Mode = EXTI_Mode_Interrupt;
    exti.EXTI_Trigger = EXTI_Trigger_Rising;
    exti.EXTI_LineCmd = ENABLE;
    EXTI_Init(&exti);
}

void intr_process()
{

}
